import nest
import numpy as np
import matplotlib.pyplot as plt

nest.set_verbosity('M_ERROR')


# SETUP NEST
# reset nest kernel and install dynaple custom model
nest.ResetKernel()
nest.SetKernelStatus({"resolution": 0.1})
msd = 1234506
nest.SetKernelStatus({"local_num_threads": 1})
N_vp = nest.GetKernelStatus(['total_num_virtual_procs'])[0]
pyrngs = [np.random.RandomState(s) for s in range(msd, msd + N_vp)]
nest.SetKernelStatus({'rng_seed': msd + N_vp})

try:
    nest.Install("test_module")
except:
    pass

neur = nest.Create("test_neur", 1)
nest.Simulate(10)

